#include "StdAfx.h"
#include ".\nricheditctrl.h"

#include "ScriptletConstant.h"

REGISTER_COMPONENT_CREATOR(SCRIPTLET_RICHTEXT_NODE, CNRichEditCtrl);
CNRichEditCtrl::CNRichEditCtrl(void)
{
}

CNRichEditCtrl::~CNRichEditCtrl(void)
{
	
}
void CNRichEditCtrl::OnCreate()
{
	m_pRTFDraw.Attach(new CNPRTFDrawer);
	m_pRTFDraw->Create();	
}
void CNRichEditCtrl::DrawComponent(HDC hDC)
{	
	if (m_pRTFDraw)
	{
		CRect rcClient;
		GetDrawingBounds(&rcClient);

		m_pRTFDraw->Draw(hDC, &rcClient);
	}
}
void CNRichEditCtrl::SetHtml(LPCTSTR pszcHtml)
{
	if (m_pRTFDraw)
	{
		m_pRTFDraw->put_Text(CComBSTR(pszcHtml));
	}
}